package com.steerinfo.ems.tcm0318.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import javax.xml.crypto.Data;
import java.util.Date;

public class TCm0318 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 分析人(ANALYST,VARCHAR,400)
     */
    @ApiModelProperty(value="分析人",required=true)
    private String analyst;

    /**
     * 监测时间(DATADATE,VARCHAR,40)
     */
    @ApiModelProperty(value="数据日期",required=true)
    private String datadate;

    /**
     * 数据状态(DATASTATE,VARCHAR,400)
     */
    @ApiModelProperty(value="数据状态",required=true)
    private String datastate;

    /**
     * 监测部门(DETECTIONDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=true)
    private String detectiondepartment;

    /**
     * 监测日期(MONITORDATE,VARCHAR,40)
     */
    @ApiModelProperty(value="监测日期",required=true)
    @JSONField(format = "yyyy-MM-dd")
    private Date monitordate;

    /**
         * 监测值(MONITORINGVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="监测值",required=true)
    private Double monitoringvalue;

    /**
     * 备注(NOTE,VARCHAR,4000)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 监测计划(PLANID,VARCHAR,400)
     */
    @ApiModelProperty(value="监测计划",required=true)
    private String planid;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    /**
     * 监测项目名称(SITEM,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目名称",required=true)
    private String sitem;

    /**
     * 系统名称(SYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="系统名称",required=true)
    private String systemname;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;

    /**
     * 批次号(BATCHNO,VARCHAR,40)
     */
    @ApiModelProperty(value="批次号",required=true)
    private String batchno;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 项目编号(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目编号",required=true)
    private String itemid;

    /**
     * 插入时间(INSERT_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="插入时间",required=true)
    private String inserttime;

    /**
     * 查询类型(QTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="查询类型",required=true)
    private String qtype;

    /**
     * 班别(BANBIE,VARCHAR,40)
     */
    @ApiModelProperty(value="班别",required=true)
    private String banbie;

    /**
     * 班次(BANCI,VARCHAR,40)
     */
    @ApiModelProperty(value="班次",required=true)
    private String banci;
    /**
     * 流水号(LSH,VARCHAR,40)
     */
    @ApiModelProperty(value="流水号",required=true)
    private String lsh;

    /**
            * 总考核项目(TOTALNUM,VARCHAR,40)
     */
    @ApiModelProperty(value="总考核项目",required = false)
    private String totalnum;

    /**
     * 合格项目(PASSNUM,VARCHAR,40)
     */
    @ApiModelProperty(value="合格项目",required = false)
    private String passnum;

    /**
     * 合格率(PASSRATE,VARCHAR,40)
     */
    @ApiModelProperty(value="合格率",required = false)
    private String passrate;

    /**
     * 数据来源(DATASOURCE,VARCHAR,255)
     */
    @ApiModelProperty(value="数据来源",required=true)
    private String datasource;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid;
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getAnalyst() {
        return analyst;
    }

    public void setAnalyst(String analyst) {
        this.analyst = analyst == null ? null : analyst.trim();
    }

    public String getDatadate() {
        return datadate;
    }

    public void setDatadate(String datadate) {
        this.datadate = datadate == null ? null : datadate.trim();
    }

    public String getDatastate() {
        return datastate;
    }

    public void setDatastate(String datastate) {
        this.datastate = datastate == null ? null : datastate.trim();
    }

    public String getDetectiondepartment() {
        return detectiondepartment;
    }

    public void setDetectiondepartment(String detectiondepartment) {
        this.detectiondepartment = detectiondepartment == null ? null : detectiondepartment.trim();
    }

    public Date getMonitordate() {
        return monitordate;
    }

    public void setMonitordate(Date monitordate) {
        this.monitordate = monitordate;
    }

    public Double getMonitoringvalue() {
        return monitoringvalue;
    }

    public void setMonitoringvalue(Double monitoringvalue) {
        this.monitoringvalue = monitoringvalue;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getPlanid() {
        return planid;
    }

    public void setPlanid(String planid) {
        this.planid = planid == null ? null : planid.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getSitem() {
        return sitem;
    }

    public void setSitem(String sitem) {
        this.sitem = sitem == null ? null : sitem.trim();
    }

    public String getSystemname() {
        return systemname;
    }

    public void setSystemname(String systemname) {
        this.systemname = systemname == null ? null : systemname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getBatchno() {
        return batchno;
    }

    public void setBatchno(String batchno) {
        this.batchno = batchno == null ? null : batchno.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getInsertTime() {
        return inserttime;
    }

    public void setInsertTime(String inserttime) {
        this.inserttime = inserttime == null ? null : inserttime.trim();
    }

    public String getQtype() {
        return qtype;
    }

    public void setQtype(String qtype) {
        this.qtype = qtype == null ? null : qtype.trim();
    }

    public String getBanbie() {
        return banbie;
    }

    public void setBanbie(String banbie) {
        this.banbie = banbie == null ? null : banbie.trim();
    }

    public String getBanci() {
        return banci;
    }

    public void setBanci(String banci) {
        this.banci = banci == null ? null : banci.trim();
    }

    public String getLsh() {
        return lsh;
    }

    public void setLsh(String lsh) {
        this.lsh = lsh == null ? null : lsh.trim();
    }

    public String getTotalnum() {
        return totalnum;
    }

    public void setTotalnum(String totalnum) {
        this.totalnum = totalnum == null ? null : totalnum.trim();
    }

    public String getPassnum() {
        return passnum;
    }

    public void setPassnum(String passnum) {
        this.passnum = passnum == null ? null : passnum.trim();
    }

    public String getPassrate() {
        return passrate;
    }

    public void setPassrate(String passrate) {
        this.passrate = passrate == null ? null : passrate.trim();
    }

    public String getDatasource() {
        return datasource;
    }

    public void setDatasource(String datasource) {
        this.datasource = datasource == null ? null :datasource.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", analyst=").append(analyst);
        sb.append(", datadate=").append(datadate);
        sb.append(", datastate=").append(datastate);
        sb.append(", detectiondepartment=").append(detectiondepartment);
        sb.append(", monitordate=").append(monitordate);
        sb.append(", monitoringvalue=").append(monitoringvalue);
        sb.append(", note=").append(note);
        sb.append(", planid=").append(planid);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", sitem=").append(sitem);
        sb.append(", systemname=").append(systemname);
        sb.append(", unit=").append(unit);
        sb.append(", batchno=").append(batchno);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", itemid=").append(itemid);
        sb.append(", inserttime=").append(inserttime);
        sb.append(", qtype=").append(qtype);
        sb.append(", banbie=").append(banbie);
        sb.append(", banci=").append(banci);
        sb.append(", lsh=").append(lsh);
        sb.append(", totalnum=").append(totalnum);
        sb.append(", passnum=").append(passnum);
        sb.append(", passrate=").append(passrate);
        sb.append(", datasource=").append(datasource);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}